Class {
	#name : #GrafoscopioUnitNode,
	#superclass : #GrafoscopioBranchNode,
	#category : #'Grafoscopio-Model'
}

{ #category : #'instance creation' }
GrafoscopioUnitNode class >> icon [
	^ self iconNamed: #smallHierarchyBrowser 
]

{ #category : #'instance creation' }
GrafoscopioUnitNode class >> nameForSelection [
	^ 'New unit'
]

{ #category : #'instance creation' }
GrafoscopioUnitNode class >> showInMenu [
	^ true 
]

{ #category : #accessing }
GrafoscopioUnitNode >> acceptVisitor: aGrafoscopioVisitor [
	aGrafoscopioVisitor visitUnitNode: self.
	
]

{ #category : #accessing }
GrafoscopioUnitNode >> acceptsChildsOfClass: aClass [
	^ aClass isLeaf or: [ aClass = self class ]
]

{ #category : #accessing }
GrafoscopioUnitNode >> text [
	^ name
]

{ #category : #accessing }
GrafoscopioUnitNode >> text: aText [
	name := aText
]
