Extension { #name : #TreePresenter }

{ #category : #'*Grafoscopio' }
TreePresenter >> selectedIndex [
	^ selectedItem value
		ifNil: [ 1 min: rootsHolder value size ]
		ifNotNil: [ rootsHolder value indexOf: selectedItem value ]
]

{ #category : #'*Grafoscopio' }
TreePresenter >> selectedIndex: anInteger [
	anInteger = 0
		ifTrue: [ self resetSelection.
			self highlightedItem: nil ]
		ifFalse: [ self selectedItem: (rootsHolder value at: anInteger).
			self highlightedItem: (rootsHolder value at: anInteger) ]
]
