"
I provide functionality to add data to some instances of the Etico package.
"
Class {
	#name : #EtiWeb,
	#superclass : #Object,
	#category : #'Etico-WebSite'
}

{ #category : #'as yet unclassified' }
EtiWeb class >> addAgentForm: request [
	
	| input page |
	input := request uri queryAt: #input ifAbsent: [ 'Entrada' ].
	page := ZnHtmlOutputStream streamContents: [ :html | 
		html page: 'Entrada sencilla' do: [
			html
				tag: #form
				attributes: #(#action 'form-test-1' 'accept-charset' 'utf-8' method GET)
				do: [ 
					html
						str: 'Entrada'; space;
						tag: #input attributes: { #type. #input. #name. #input. #value. input }; space;
						tag: #input attributes: #(type submit);
						str: 'La entrada fue:'; space; tag: #em with: input] 
		]
	]
]
